<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Frame](./puppeteer.frame.md) &gt; [addStyleTag](./puppeteer.frame.addstyletag.md)

## Frame.addStyleTag() method

<b>Signature:</b>

```typescript
addStyleTag(options: {
        url?: string;
        path?: string;
        content?: string;
    }): Promise<ElementHandle>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | { url?: string; path?: string; content?: string; } |  |

<b>Returns:</b>

Promise&lt;[ElementHandle](./puppeteer.elementhandle.md)<!-- -->&gt;

